Subject: bug#47368: 28.0.50; map-elt returns nil without "deprecated" TESTFN

From: Michael Heerdegen <[email-masked]>
Date: Wed, 15 Sep 2021 02:48:00 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

> Michael Heerdegen [2021-09-14 16:40 +0200] wrote:
>
> > Adam Porter <[email-masked]> writes:
> >
> >> Friendly ping.  :)  The cutting of the Emacs 28 release branch
> >> approaches, and I'd really like to have this fixed in Emacs 28.
> >
> > Basil, are you maybe able to care about this one?
>
> What was the conclusion?  That map-elt should use equal for alists?

That was the least controversial solution discussed, at least to my
impression.

But would that include to change the default of `alist-get', too?  I
guess these should behave consistently.

[ Personally I would still be interested in an answer to the question:
why don't we consider to keep the TESTFN arg at least for the list map
type case? ]

Michael.